#ifndef __FILE_GSM_BASE_H_SEEN__
#define __FILE_GSM_BASE_H_SEEN__

/*-----------------------------------------------------------------------------

Copyright (C) 2005, 2006, 2008, 2011.

A. Ronald Gallant
Post Office Box 659
Chapel Hill NC 27514-0659
USA   

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

-----------------------------------------------------------------------------*/

#include "libscl.h"

namespace gsm {

  struct estblock {
    std::string pname;
    REAL gsmver;
    bool print;
    bool sci_draw_from_prior;
    bool run_sci_chain;
    bool stat_draw_from_prior;
    bool run_stat_chain;
    REAL kappa;
  };

  struct datblock {
    INTEGER M;
    INTEGER n;
    std::string dsn;
    scl::intvec fields;
    std::string fieldline;
    bool read_data(scl::realmat& data);
    bool read_data(const std::string& pathname, scl::realmat& data);
  };

  struct statblock {
    INTEGER len_stat_parm;
    INTEGER len_stat_func;
    INTEGER stat_seed;
    INTEGER len_stat_chain;
    INTEGER num_stat_files;
    REAL    stat_sclfac; 
    bool    is_stat_parmfile;
    std::string stat_parmfile;
  };

  struct sciblock {
    INTEGER len_sci_parm;
    INTEGER len_sci_func;
    INTEGER sci_seed;
    INTEGER len_sci_chain;
    INTEGER num_sci_files;
    INTEGER analytic_mle;
    INTEGER len_sub_chain;
    INTEGER num_sub_chains;
    INTEGER num_polish_iter;
    REAL    polish_toler;
    REAL    sci_sclfac;
    REAL    sci_incfac;
    bool    is_sci_parmfile;
    std::string sci_parmfile;
  };

}

#endif
