CC       = CL
SNPSRC   = ..\snpsrc
GSMSRC   = ..\gsmsrc
USRSRC   = ..\tt1d
ISCL     = ..\lib\libscl\ms
LSCL     = ..\lib\libscl\ms\libscl.lib
ISNP     = ..\lib\libsnp\ms
LSNP     = ..\lib\libsnp\ms\libsnp.lib
IGSM     = ..\lib\libgsm/ms
LGSM     = ..\libgsm\ms\libgsm.lib
CFLAGS   = -WL -EHsc -nologo -TP -c \
	   -I$(USRSRC) -I$(GSMSRC) -I$(SNPSRC) -I$(IGSM) -I$(ISNP) -I$(ISCL)
LFLAGS   = -WL -EHsc -nologo $(LGSM) $(LSNP) $(LSCL) 

HEADERS  = $(ISNP)/libsnp.h $(IGSM)/libgsm.h \
	$(GSMSRC)/gsm_base.h $(GSMSRC)/gsm.h $(USRSRC)/gsmusr.h \
	$(SNPSRC)/snp_base.h $(SNPSRC)/snp.h $(SNPSRC)/snpusr.h \
	$(ISCL)/libscl.h
	
OBJECTS = gsm.obj gsmcode1.obj gsmcode2.obj gsmusr.obj\
	  snpcode1.obj snpcode2.obj snpcode3.obj snpusr.obj

gsm.exe :  $(OBJECTS) $(HEADERS)
	$(CC) /Fegsm $(OBJECTS) $(LFLAGS)

gsm.obj : $(GSMSRC)/gsm.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(GSMSRC)/gsm.cpp

gsmcode1.obj : $(GSMSRC)/gsmcode1.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(GSMSRC)/gsmcode1.cpp

gsmcode2.obj : $(GSMSRC)/gsmcode2.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(GSMSRC)/gsmcode2.cpp

gsmusr.obj : $(USRSRC)/gsmusr.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(USRSRC)/gsmusr.cpp

snpcode1.obj : $(SNPSRC)/snpcode1.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode1.cpp

snpcode2.obj : $(SNPSRC)/snpcode2.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode2.cpp

snpcode3.obj : $(SNPSRC)/snpcode3.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpcode3.cpp

snpusr.obj : $(SNPSRC)/snpusr.cpp $(HEADERS)
	$(CC) $(CFLAGS) $(SNPSRC)/snpusr.cpp

clean	:
	rm -f *.obj core core.*

veryclean	:
	rm -f *.obj core core.*
	rm -f gsm gsm.exe

